summaryrefslogtreecommitdiffstats
path: root/games/worldofgoo/worldofgoo.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/worldofgoo/worldofgoo.SlackBuild')
-rw-r--r--games/worldofgoo/worldofgoo.SlackBuild92
1 files changed, 92 insertions, 0 deletions
diff --git a/games/worldofgoo/worldofgoo.SlackBuild b/games/worldofgoo/worldofgoo.SlackBuild
new file mode 100644
index 0000000000..825c5a14a3
--- /dev/null
+++ b/games/worldofgoo/worldofgoo.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for World of Goo (demo).
+
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=worldofgoo
+SRCNAM=WorldOfGooDemo
+VERSION=${VERSION:-1.41}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$SRCNAM.$VERSION.tar.gz
+cd $SRCNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Move WorldOfGoo to /opt
+mkdir -p $PKG/opt
+mv $TMP/$SRCNAM $PKG/opt/$PRGNAM
+
+# Make a link in /usr/bin
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -s ../../opt/$PRGNAM/WorldOfGoo . )
+
+# Remove unnecessary libs based on $ARCH to reduce package size.
+if [ $ARCH == "x86_64" ]; then
+ rm -rf $PKG/opt/$PRGNAM/libs32
+ rm -f $PKG/opt/$PRGNAM/WorldOfGoo.bin32
+elif [ $ARCH == "i486" ] || [ $ARCH == "i686" ]; then
+ rm -rf $PKG/opt/$PRGNAM/libs64
+ rm -f $PKG/opt/$PRGNAM/WorldOfGoo.bin64
+fi
+
+# Sort out the icons
+for res in 16 22 32 48 64 128 scalable; do
+ if [ $res != "scalable" ]; then
+ dir=${PKG}/usr/share/icons/hicolor/${res}x${res}/apps
+ mkdir -p ${dir}
+ ln -s /opt/$PRGNAM/icons/${res}x${res}.png ${dir}/${PRGNAM}.png
+ else
+ dir=${PKG}/usr/share/icons/hicolor/${res}/apps
+ mkdir -p ${dir}
+ ln -s /opt/$PRGNAM/icons/${res}.svg ${dir}/${PRGNAM}.svg
+ fi
+done
+
+# Add the .desktop file
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/opt/$PRGNAM/{linux-issues.txt,eula.txt,readme.html} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}